### Constructor

# Cogl Context new

#### Declaration [src]

    CoglContext*
    cogl_context_new (
      CoglDisplay* display,
      GError** error
    )

#### Description [src]

Creates a new `CoglContext` which acts as an application sandbox for any state objects that are allocated.

#### Parameters

`display`

  Type: `CoglDisplay`

  A `CoglDisplay` pointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CoglContext`

A newly allocated `CoglContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.